/************************************************************************
*	DOGGIE.H - the definition of the information cluster				*
*	To compile, see DOGDATA.C											*
************************************************************************/

/*----------------------------------------------------------------------*
 * This is how all applications view the Doggie Database				*
 *----------------------------------------------------------------------*/
struct DoggieDef
	{
	char CustName[20];
	int  CustNum;
	int  NumAwards;
	int  NumDoggies;
	};

/*----------------------------------------------------------------------*
 * Here are the routines that are allowed to access the data			*
 *----------------------------------------------------------------------*/
extern int InitializeDoggieData(void);
extern int CleanupAfterDoggies(void);
extern int StartDoggieSearch(void);
extern int GetNextRecord(void);
extern int GetNextDogLover(int minDogs);
extern int GetDoggieData(int recNo, struct DoggieDef *userRec);
